> ## Documentation Index
> Fetch the complete documentation index at: https://docs.upwell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get One Shipment Line Item

> Get One Shipment Line Item***
The GraphQl query for this endpoint is:
``` graphql
query ShipmentLineItem ($id: String!) {
  shipmentLineItem: shipmentLineItemsByPk(id: $id) {
    id
    shipmentId
    lineNumber
    commodityDescription
    packageQty
    packageType
    packageUnit
    handlingUnit
    handlingUnitQty
    handlingUnitType
    weight
    weightUnit
    weightUnitType
    nmfcClass
    nmfcNumber
    hazmatFlag
    length
    width
    height
    dimensionUnit
    freightClass
    pickupLocationName
    deliveryLocationName
    referenceNumber
    sourceSystem
    sourceSystemId
    createdAt
    updatedAt
  }
}

```



## OpenAPI

````yaml /api-reference/openapi.json get /api/rest/shipment_line_items/{id}
openapi: 3.1.0
info:
  description: >-
    Upwell is Accounts Receivable automation software for the logistics
    industry. We serve freight brokers, carriers, factors, and anyone who needs
    to get transportation invoices paid.


    Learn more at:


    - [Upwell.com](https://upwell.com)
  title: Upwell REST API
  version: 3.28.3
  termsOfService: https://upwell.com/legal
  contact:
    name: Upwell
    url: https://upwell.com
    email: contact@upwell.com
servers:
  - url: https://api.upwell.com
    description: Production server
  - url: https://staging.api.upwell.com
    description: Staging server
security: []
tags:
  - name: Invoice Approval
    description: Endpoints for managing customer invoice approval workflow
paths:
  /api/rest/shipment_line_items/{id}:
    get:
      summary: Get One Shipment Line Item
      description: |-
        Get One Shipment Line Item***
        The GraphQl query for this endpoint is:
        ``` graphql
        query ShipmentLineItem ($id: String!) {
          shipmentLineItem: shipmentLineItemsByPk(id: $id) {
            id
            shipmentId
            lineNumber
            commodityDescription
            packageQty
            packageType
            packageUnit
            handlingUnit
            handlingUnitQty
            handlingUnitType
            weight
            weightUnit
            weightUnitType
            nmfcClass
            nmfcNumber
            hazmatFlag
            length
            width
            height
            dimensionUnit
            freightClass
            pickupLocationName
            deliveryLocationName
            referenceNumber
            sourceSystem
            sourceSystemId
            createdAt
            updatedAt
          }
        }

        ```
      parameters:
        - description: >-
            Your API key will be used for authentication of the request.
            `Authorization: YOUR_API_KEY`
          in: header
          name: authorization
          schema:
            type: string
        - description: _"id" is required (enter it either in parameters or request body)_
          in: path
          name: id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  shipmentLineItem:
                    description: Shipment Line Items
                    nullable: true
                    properties:
                      commodityDescription:
                        nullable: true
                        title: String
                        type: string
                      createdAt:
                        $ref: '#/components/schemas/timestamp'
                      deliveryLocationName:
                        nullable: true
                        title: String
                        type: string
                      dimensionUnit:
                        nullable: true
                        title: String
                        type: string
                      freightClass:
                        nullable: true
                        title: String
                        type: string
                      handlingUnit:
                        nullable: true
                        title: String
                        type: string
                      handlingUnitQty:
                        $ref: '#/components/schemas/numeric'
                      handlingUnitType:
                        $ref: '#/components/schemas/EdiHandlingUnitTypeEnum'
                      hazmatFlag:
                        nullable: true
                        title: Boolean
                        type: boolean
                      height:
                        $ref: '#/components/schemas/numeric'
                      id:
                        nullable: false
                        title: String
                        type: string
                      length:
                        $ref: '#/components/schemas/numeric'
                      lineNumber:
                        nullable: false
                        title: Int
                        type: integer
                      nmfcClass:
                        nullable: true
                        title: String
                        type: string
                      nmfcNumber:
                        nullable: true
                        title: String
                        type: string
                      packageQty:
                        $ref: '#/components/schemas/numeric'
                      packageType:
                        $ref: '#/components/schemas/EdiHandlingUnitTypeEnum'
                      packageUnit:
                        nullable: true
                        title: String
                        type: string
                      pickupLocationName:
                        nullable: true
                        title: String
                        type: string
                      referenceNumber:
                        nullable: true
                        title: String
                        type: string
                      shipmentId:
                        nullable: false
                        title: String
                        type: string
                      sourceSystem:
                        nullable: true
                        title: String
                        type: string
                      sourceSystemId:
                        nullable: true
                        title: String
                        type: string
                      updatedAt:
                        $ref: '#/components/schemas/timestamp'
                      weight:
                        $ref: '#/components/schemas/numeric'
                      weightUnit:
                        nullable: true
                        title: String
                        type: string
                      weightUnitType:
                        $ref: '#/components/schemas/EdiWeightUnitTypeEnum'
                      width:
                        $ref: '#/components/schemas/numeric'
                    title: ShipmentLineItems
                    type: object
          description: Responses for GET /api/rest/shipment_line_items/{id}
components:
  schemas:
    timestamp:
      nullable: false
      title: timestamp
    numeric:
      nullable: false
      title: numeric
    EdiHandlingUnitTypeEnum:
      enum:
        - BAG
        - BLK
        - BOB
        - BOT
        - BOX
        - BRG
        - BSK
        - BXI
        - BXT
        - CAB
        - CAG
        - CAN
        - CAR
        - CAS
        - CBC
        - CBY
        - CCS
        - CHE
        - CHS
        - CLD
        - CNA
        - CNB
        - CNC
        - CND
        - CNE
        - CNF
        - CNT
        - CNX
        - COL
        - CON
        - COR
        - CRD
        - CRT
        - CSK
        - CTN
        - CUB
        - CYL
        - DBK
        - DRK
        - DRM
        - DSK
        - DTB
        - DUF
        - ENV
        - FIR
        - FLO
        - FLX
        - FRM
        - FSK
        - FWR
        - GOH
        - HED
        - HGH
        - HPR
        - HPT
        - HRB
        - HRK
        - HTB
        - JAR
        - JUG
        - KEG
        - KIT
        - KRK
        - KTB
        - LBK
        - LIF
        - LOG
        - LSE
        - LUG
        - LVN
        - MLV
        - MRP
        - MSV
        - MXD
        - NOL
        - OVW
        - PAL
        - PCK
        - PCS
        - PIR
        - PKG
        - PLF
        - PLL
        - PLN
        - PLT
        - POV
        - PRK
        - QTR
        - RAL
        - RCK
        - REL
        - ROL
        - RVR
        - SAK
        - SBC
        - SCS
        - SHK
        - SHT
        - SID
        - SKD
        - SKE
        - SLP
        - SLV
        - SPI
        - SPL
        - SVN
        - TBE
        - TBN
        - TKR
        - TKT
        - TLD
        - TNK
        - TRC
        - TRI
        - TRK
        - TRU
        - TRY
        - TSS
        - TTC
        - UNT
      nullable: false
      title: EdiHandlingUnitTypeEnum
    EdiWeightUnitTypeEnum:
      enum:
        - CG
        - CT
        - CWT
        - DAG
        - DG
        - DTN
        - DWT
        - G
        - GR
        - HG
        - KG
        - KT
        - LB
        - LT
        - MG
        - MT
        - ONZ
        - OZ
        - Q
        - ST
        - T
        - UG
      nullable: false
      title: EdiWeightUnitTypeEnum

````